summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Hunter Sezen <orbea@fredslev.dk>2018-04-01 08:08:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-04-01 08:08:09 +0700
commit007a3ca5cddc6e7c545ff9bccc8437359d104635 (patch)
treec540c4ad97b52ed733784d836a393ab9ff9b86bf /system
parent30021e28bc1d445131b0151335fd2407906d7d99 (diff)
downloadslackbuilds-007a3ca5cddc6e7c545ff9bccc8437359d104635.tar.gz
slackbuilds-007a3ca5cddc6e7c545ff9bccc8437359d104635.tar.xz
system/nvidia-firmware: Script cleanup.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/nvidia-firmware/README11
-rw-r--r--system/nvidia-firmware/nvidia-firmware.SlackBuild14
2 files changed, 12 insertions, 13 deletions
diff --git a/system/nvidia-firmware/README b/system/nvidia-firmware/README
index cc399ef3b8..ba64cbc845 100644
--- a/system/nvidia-firmware/README
+++ b/system/nvidia-firmware/README
@@ -1,6 +1,7 @@
-This is the proprietary firmware extracted from the NVIDIA
-binary driver needed by nouveau for video decoding.
+This is the proprietary firmware extracted from the NVIDIA binary driver
+needed by nouveau for video decoding.
-See the documentation at freedesktop.org to see if your
-hardware is supported or not. One way to find out which
-chip you have is by running: dmesg | grep -i chipset.
+See the documentation at freedesktop.org to see if your hardware is
+supported or not. One way to find out which chip you have is by running:
+
+ lspci -nn -d 10de:
diff --git a/system/nvidia-firmware/nvidia-firmware.SlackBuild b/system/nvidia-firmware/nvidia-firmware.SlackBuild
index 8f09d6f176..4651572f84 100644
--- a/system/nvidia-firmware/nvidia-firmware.SlackBuild
+++ b/system/nvidia-firmware/nvidia-firmware.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for nvidia-firmware
-# Copyright 2015 Hunter Sezen California, USA
+# Copyright 2015, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,8 +24,6 @@
PRGNAM=nvidia-firmware
VERSION=${VERSION:-325.15}
-SRCNAM=NVIDIA-Linux-x86-$VERSION
-PYNAM=extract_firmware.py
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,12 +35,12 @@ SRC=$TMP/$PRGNAM-$VERSION
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -eu
rm -rf $PKG $SRC
mkdir -p $TMP $SRC $PKG $OUTPUT
cd $SRC
-sh $CWD/$SRCNAM.run --extract-only
+sh $CWD/NVIDIA-Linux-x86-$VERSION.run --extract-only
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -50,10 +48,10 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-python $CWD/$PYNAM
+python $CWD/extract_firmware.py
-install -dm 0755 $PKG/lib/firmware/nouveau/
-cp -a nv* vuc-* $PKG/lib/firmware/nouveau/
+mkdir -p $PKG/lib/firmware/nouveau/
+cp -av nv* vuc-* $PKG/lib/firmware/nouveau/
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild